// import { IsNull } from 'typeorm';
import { fetchMeta } from "../../../misc/fetch-meta.js";
import define from "../define.js";
export const meta = {
    tags: [
        "meta"
    ],
    requireCredential: false,
    requireCredentialPrivateMode: true,
    res: {
        type: "array",
        optional: false,
        nullable: false,
        items: {
            type: "string",
            optional: false,
            nullable: false
        }
    }
};
export const paramDef = {
    type: "object",
    properties: {},
    required: []
};
export default define(meta, paramDef, async ()=>{
    const meta = await fetchMeta();
    const instances = await Promise.all(meta.recommendedInstances.map((x)=>x));
    return instances;
});
